Subject: Re: [Bitcoin-development] Long-term mining incentives

From: Adam Back <[email-masked]>
Date: Tue, 12 May 2015 16:48:06 -0700

I think its fair to say no one knows how to make a consensus that
works in a decentralised fashion that doesnt weaken the bitcoin
security model without proof-of-work for now.

I am presuming Gavin is just saying in the context of not pre-judging
the future that maybe in the far future another innovation might be
found (or alternatively maybe its not mathematically possible).

Towards that it would be useful to try further to prove this one way
or another (prove that proof of stake cant work if that is generically
mathematically provable).

Adam

On 12 May 2015 at 14:24, Pedro Worcel <[email-masked]> wrote:
> Disclaimer: I don't know anything about Bitcoin.
>
>> 2) Proof-of-idle supported (I wish Tadge Dryja would publish his
>> proof-of-idle idea....)
>> 3) Fees purely as transaction-spam-prevention measure, chain security via
>> alternative consensus algorithm (in this scenario there is very little
>> mining).
>
> I don't understand why you would casually mention moving away from Proof of
> Work, I thought that was the big breakthrough that made Bitcoin possible at
> all?
>
> Thanks,
> Pedro
>
> 2015-05-13 4:10 GMT+12:00 Gavin Andresen <[email-masked]>:
>>
>> Added back the list, I didn't mean to reply privately:
>>
>> Fair enough, I'll try to find time in the next month or three to write up
>> four plausible future scenarios for how mining incentives might work:
>>
>> 1) Fee-supported with very large blocks containing lots of tiny-fee
>> transactions
>> 2) Proof-of-idle supported (I wish Tadge Dryja would publish his
>> proof-of-idle idea....)
>> 3) Fees purely as transaction-spam-prevention measure, chain security via
>> alternative consensus algorithm (in this scenario there is very little
>> mining).
>> 4) Fee supported with small blocks containing high-fee transactions moving
>> coins to/from sidechains.
>>
>> Would that be helpful, or do you have some reason for thinking that we
>> should pick just one and focus all of our efforts on making that one
>> scenario happen?
>>
>> I always think it is better, when possible, not to "bet on one horse."
>>
>>
>> On Tue, May 12, 2015 at 10:39 AM, Thomas Voegtlin <[email-masked]>
>> wrote:
>>>
>>> Le 12/05/2015 15:44, Gavin Andresen a écrit :
>>> > Ok, here's my scenario:
>>> >
>>> > https://blog.bitcoinfoundation.org/a-scalability-roadmap/
>>> >
>>> > It might be wrong. I welcome other people to present their road maps.
>>> >
>>>
>>> [answering to you only because you answered to me and not to the list;
>>> feel free to repost this to the list though]
>>>
>>> Yes, that's exactly the kind of roadmap I am asking for. But your blog
>>> post does not say anything about long term mining incentives, it only
>>> talks about scalability. My point is that we need the same kind of thing
>>> for miners incentives.
>>
>>
>>
>>
>> --
>> --
>> Gavin Andresen
>>
>>
>> ------------------------------------------------------------------------------
>> One dashboard for servers and applications across Physical-Virtual-Cloud
>> Widest out-of-the-box monitoring support with 50+ applications
>> Performance metrics, stats and reports that give you Actionable Insights
>> Deep dive visibility with transaction tracing using APM Insight.
>> http://ad.doubleclick.net/ddm/clk/290420510;117567292;y
>> _______________________________________________
>> Bitcoin-development mailing list
>> [email-masked]
>> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>>
>
>
> ------------------------------------------------------------------------------
> One dashboard for servers and applications across Physical-Virtual-Cloud
> Widest out-of-the-box monitoring support with 50+ applications
> Performance metrics, stats and reports that give you Actionable Insights
> Deep dive visibility with transaction tracing using APM Insight.
> http://ad.doubleclick.net/ddm/clk/290420510;117567292;y
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>